<?xml version="1.0" encoding="UTF-8"?>
<beans 	
		xmlns="http://www.springframework.org/schema/beans"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="tfs" class="gov.va.med.tfs.TemplateFilterService">
		<property name="createEnabled" value="true" /> <!-- valid values true/false  -->
		<property name="deleteEnabled" value="true" /> <!-- valid values true/false  -->
	</bean>

	<bean id="tfsMBeanExporter" class="org.springframework.jmx.export.MBeanExporter" lazy-init="false">
		<property name="beans">
			<map>
				<entry
					key="gov.va.med.tfs:name=Template-Filter-Service"
					value-ref="tfs" />
			</map>
		</property>
		<property name="assembler">
			<bean class="org.springframework.jmx.export.assembler.InterfaceBasedMBeanInfoAssembler">
				<property name="interfaceMappings">
					<props>
						<prop
							key="gov.va.med.tfs:name=Template-Filter-Service">
							gov.va.med.tfs.TemplateFilterServiceMBeanInterface
						</prop>
					</props>
				</property>
			</bean>
		</property>
		<property name="server" ref="mbeanServer" />
		<property name="registrationBehaviorName" value="REGISTRATION_REPLACE_EXISTING" />
	</bean>
	
	<bean id="mbeanServer" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="java:comp/env/jmx/runtime"/>
	</bean>
	
</beans>